Bug 1328719 - Follow up: Upgrade push-apk deps a=bustage
authorJohan Lorenzo <jlorenzo@mozilla.com>
Tue, 23 Jan 2018 15:46:07 +0100
changeset 6094 042aa21c38096dce60c1d78784ca8bb653424da1
parent 6092 68df9f54685457f2d1a4e6aa7dcd789ff5b0059a
child 6095 576d129d0a9ff2bb44ee3309b3144b187a74e928
child 6096 bd4d3f30787c0afc56f87f6c0b9367595312a31b
push id4905
push userjlorenzo@mozilla.com
push dateTue, 23 Jan 2018 14:46:31 +0000
reviewersbustage
bugs1328719
Bug 1328719 - Follow up: Upgrade push-apk deps a=bustage
modules/pushapk_scriptworker/manifests/init.pp
--- a/modules/pushapk_scriptworker/manifests/init.pp
+++ b/modules/pushapk_scriptworker/manifests/init.pp
@@ -25,35 +25,35 @@ class pushapk_scriptworker {
                 'PyYAML==3.12',
                 'aiohttp==2.3.9',
                 'arrow==0.12.1',
                 'asn1crypto==0.24.0',
                 'async_timeout==1.4.0',
                 'certifi==2018.1.18',
                 'cffi==1.11.4',
                 'chardet==3.0.4',
-                'cryptography==1.9',
+                'cryptography==2.1.4',
                 'defusedxml==0.5.0',
                 'dictdiffer==0.7.0',
                 'frozendict==1.2',
                 'google-api-python-client==1.6.5',
                 'httplib2==0.10.3',
                 'idna==2.6',
                 'json-e==2.5.0',
                 'jsonschema==2.6.0',
                 'mohawk==0.3.4',
                 'mozapkpublisher==0.5.0',
                 'multidict==4.0.0',
                 'oauth2client==4.1.2',
                 'pexpect==4.3.1',
                 'ptyprocess==0.5.2',
                 'pushapkscript==0.4.1',
                 'pyOpenSSL==17.5.0',
-                'pyasn1==0.2.3',
-                'pyasn1-modules==0.0.9',
+                'pyasn1==0.4.2',
+                'pyasn1-modules==0.2.1',
                 'pycparser==2.18',
                 'python-dateutil==2.6.1',
                 'python-gnupg==0.4.1',
                 'requests==2.18.4',
                 'rsa==3.4.2',
                 'scriptworker==8.0.0',
                 'six==1.10.0',
                 'slugid==1.0.7',